Subject: Re: bug#41906: [mumi] Raw mailbox download not usable with mutt

From: Bengt Richter <[email-masked]>
Date: Mon, 7 Dec 2020 13:02:00 +0100

Hi Ricardo, et al,

On +2020-12-06 18:35:08 +0100, Ricardo Wurmus wrote:
> 
> Hi Lars,
> 
> > currently mailbox files generated by mumi’s /raw/ endpoint are not usable with
> > mutt, because the first line contains a “Received:” header and thus does not
> > start with the mandated “From …” banner.
> 
> Does the equivalent mbox provided by the official Debbugs web interface
> work?  This endpoint is called “raw” because it returns the plain email
> as I got it from Debbugs.  It doesn’t seem right for me to manipulate it.
> 
> -- 
> Ricardo
> 
>

On a guix debbugs web page I observed the following:

The option to download a single bug report on a debbugs web page
as mbox seems to work fine.

E.g., the page with your report
    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38715#28
has a link
    https://debbugs.gnu.org/cgi/bugreport.cgi?mbox=yes;msg=28;bug=38715
which one can save-as, resulting in file
    bug_38715_message_28.mbox  
which
    mutt -f bug_38715_message_28.mbox
will show normally.

But I don't, e.g., know how to get all the debbugs guix bug reports for e.g. December
the way I can for the regular mailing list archives -- does mumi do that?
-- e.g. like for bug-guix at
    https://lists.gnu.org/archive/mbox/bug-guix/
where you can
    wget -c https://lists.gnu.org/archive/mbox/bug-guix/2020-12
resulting in an mbx file
    2020-12
which
    mutt -Rf 2020-12
will open for you (I use -R for read-only)

The '-c' wget option tells wget just to download the new appended emails
if you already have the 2020-12 file in your current directory, so that's economical :)

I follow half a dozen or so gnu mail lists that I don't subscribe to, and wget -c
works fine on all of them.

The YYYY-MM format seems to be generated like "$(date '+%Y-%m')"
so it's easy to script urls for wget.

It might be nice for debbugs to synthesize cgi-equivalents to
    https://lists.gnu.org/archive/mbox/bug-guix/2020-12
for lists that want it. Maybe by a debbugs name like
    https://lists.gnu.org/archive/mbox/debbugs-guix/2020-12
and similarly for other bug-<list name> ?

Maybe it already exists, but it's not apparently listed at
    https://lists.gnu.org/mailman/listinfo/
(though help-debbugs is, but that is a normal mailing list I think :)

Sorry if this is not on topic mumi per se, but it is about viewing
bug reports using mutt on mbox files :)

I don't use mumi, but if it doesn't have clean mbox as an output option,
I think it ought to be fixed :)

-- 
Regards,
Bengt Richter